Skip site navigation (1)Skip section navigation (2)
Date:      Mon, 26 Mar 2018 08:15:16 +0000 (UTC)
From:      Peter Holm <pho@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-user@freebsd.org
Subject:   svn commit: r331544 - user/pho/stress2/misc
Message-ID:  <201803260815.w2Q8FGwh042297@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: pho
Date: Mon Mar 26 08:15:15 2018
New Revision: 331544
URL: https://svnweb.freebsd.org/changeset/base/331544

Log:
  Added a regression test for deadlock seen with "vmstat -z".
  
  Sponsored by:	Dell EMC Isilon

Added:
  user/pho/stress2/misc/vmstat.sh   (contents, props changed)

Added: user/pho/stress2/misc/vmstat.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/vmstat.sh	Mon Mar 26 08:15:15 2018	(r331544)
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2018 Dell EMC Isilon
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# vmstat(8) test scenario.
+# Deadlock seen:
+# https://people.freebsd.org/~pho/stress/log/vmstat.txt
+# Fixed by r331489.
+
+. ../default.cfg
+
+set -e
+(cd ../testcases/thr1; ./thr1 -t 1m -i 20 -l 100 > /dev/null) &	# churn
+pids=$!
+for i in `jot 16`; do
+	while true; do vmstat -z > /dev/null; done &
+	pids="$pids $!"
+done
+sleep 60
+kill $pids > /dev/null 2>&1
+wait
+exit 0



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201803260815.w2Q8FGwh042297>